[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabGetImageEvent

Specifies an event handler type used to get the position in an image list for the image on a tab.

## Declaration

Source position: comctrls.pp line 357

`type TTabGetImageEvent = procedure(`
`Sender: TObject;`
`TabIndex: Integer;`
`var ImageIndex: Integer`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomTabControl) for the event notification. Provides access to the pages and the image list for the control.
`TabIndex` |  | Ordinal position for the tab (or page) examined in the handler.
`ImageIndex` |  | Used to return the ordinal position for the image displayed for the specified tab. Return -1 if an image index is not assigned or available for the tab.

## Description

TTabGetImageEvent is the type used for the OnGetImageIndex event handler in TCustomTabControl.

## See also

TCustomTabControl.OnGetImageIndex |  | Event handler signalled to get the image index for a tab on the tabbed control.